1 (edited by tomasz.konefal@ubc.ca 2019-08-07 19:40:29)

Topic: ImageMagick6-libs and LibRaw dependency problem

I tried to update this recently on RHEL7 and got this error:

# yum upgrade
Loaded plugins: rhnplugin, search-disabled-repos
This system is receiving updates from RHN Classic or Red Hat Satellite.
Resolving Dependencies
--> Running transaction check
---> Package LibRaw.x86_64 0:0.14.8-5.el7.20120830git98d925 will be updated
--> Processing Dependency: libraw.so.5()(64bit) for package: ImageMagick6-libs-6.9.10.59-1.el7.remi.x86_64
---> Package LibRaw.x86_64 0:0.19.2-1.el7 will be an update
--> Finished Dependency Resolution
Error: Package: ImageMagick6-libs-6.9.10.59-1.el7.remi.x86_64 (@remi-safe)
           Requires: libraw.so.5()(64bit)
           Removing: LibRaw-0.14.8-5.el7.20120830git98d925.x86_64 (@rhel-x86_64-server-7)
               libraw.so.5()(64bit)
           Updated By: LibRaw-0.19.2-1.el7.x86_64 (rhel-x86_64-server-7)
              ~libraw.so.19()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.7 (Maipo)

# yum repolist
Loaded plugins: rhnplugin, search-disabled-repos
This system is receiving updates from RHN Classic or Red Hat Satellite.
repo id                            repo name                                                   status
epel/x86_64                        Extra Packages for Enterprise Linux 7 - x86_64              13,338
interworx-hotfix                   InterWorx Hotfix                                                 8
interworx-release/7Server/x86_64   InterWorx Release - RedHat Enterprise 7Server                  435
interworx-release-noarch           InterWorx Release - Generic                                    407
interworx-stable/7Server/x86_64    InterWorx Stable - RedHat Enterprise 7Server                   152
interworx-stable-noarch            InterWorx Stable - Generic                                      35
jws-3-x86_64-server-7-rpm          Red Hat JBoss Web Server (v 3) for 7Server x86_64              402
remi-safe                          Safe Remi's RPM repository for Enterprise Linux 7 - x86_64   3,546
rhel-x86_64-server-7               Red Hat Enterprise Linux Server (v. 7 for 64-bit x86_64)    26,147
rhel-x86_64-server-7-rhscl-1       Red Hat Software Collections (RHEL 7 Server x86_64)         11,287
rhel-x86_64-server-extras-7        RHEL Server Extras (v. 7 for 64-bit x86_64)                  1,176
rhel-x86_64-server-optional-7      RHEL Server Optional (v. 7 64-bit x86_64)                   19,097
rhel-x86_64-server-supplementary-7 RHEL Server Supplementary (v. 7 for 64-bit x86_64)             327
rhn-tools-rhel-x86_64-server-7     RHN Tools for RHEL Server (v. 7 for x86_64)                    136
shibboleth                         Shibboleth (CentOS_7)                                          237
repolist: 76,730

Is anyone able to help resolve this issue?

Thank you,
  Tomasz

Re: ImageMagick6-libs and LibRaw dependency problem

indeed I can reproduce, looks like the new libRaw version in 7.7 is not backward compatible with previous

Working on a workaround.

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: ImageMagick6-libs and LibRaw dependency problem

New build (ImageMagick6-6.9.10.59-2) now uses LibRaw 0.19.2-1 from RHEL 7.7

LibRaw-0.19.2-0 is also available in the repository for CentOS 7.6 users,
will be removed when CentOS 7.7 will be released.

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: ImageMagick6-libs and LibRaw dependency problem

BTW, thanks a lot for the report

Tracked on https://github.com/remicollet/remirepo/issues/123

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: ImageMagick6-libs and LibRaw dependency problem

Thanks so much! It's working now.